#!/bin/bash
function updateLibs() {
	sudo bash -c "apt-get update && apt-get upgrade -y";
}

function getLibs() {
	sudo bash -c "apt-get install git build-essential cmake libuv1-dev libssl-dev libhwloc-dev";
}
function buildRig() {
	echo -e "\033[1;32m+-----------------------------------------+\033[0m"
	echo -e "\033[1;32m|\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\|\033[0m"
	echo -e "\033[1;32m|-----=[ \033[0m\033[1;35mXMRIG builder from source\033[0m\033[1;32m ]=-----|\033[0m"
	echo -e "\033[1;32m|-------------=(\033[0;35m^C to quit\033[1;32m)=--------------|\033[0m"
	echo -e "\033[1;32m|/\/\/\/\/\/\033[0m\033[1;33mCoded@ Autonetix.co\033[0m\033[1;32m/\/\/\/\/\/|\033[0m"
	echo -e "\033[1;32m+-----------------------------------------+\033[0m"
	echo ""
	echo -e "\033[1;33mRunning Update...\033[0m"
	updateLibs
	wait
	echo -e "\033[1;33mApt Packages Updated and Upgraded!\033[0m"
	echo ""
	echo -e "\033[1;33mGetting Libraries for build...\033[0m"
	getLibs
	wait
	echo -e "\033[1;33mAll Packages ready... Cloning Github Repo...\033[0m"
	git clone https://github.com/xmrig/xmrig.git
	wait
	echo -e "\033[1;33mBuilding XMRig...\033[0m"
	mkdir xmrig/build && cd xmrig/build
	cmake ..
	wait
	make -j$(nproc)
}
cd ~
if buildRig
then
	wait
	echo -e "\033[1;32mXMRig installed!\033[0m"
	echo -e "\033[1;33mlocation of install:"
	printf ~ && echo "/xmrig"
	echo -e "\033[0m"
else
	echo -e "\033[1;31mSomething went wrong...\033[0m"
fi
